org.apache.solr.cloud.rule

## Class Rule

- java.lang.Object
- - org.apache.solr.cloud.rule.Rule

-     public class Rule
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Rule.Condition`
    `static class` | `Rule.Operand`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `WILD_CARD`
    `static String` | `WILD_WILD_CARD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rule(Map m)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(String n1, String n2, Map<String,Map<String,Object>> nodeVsTags, Map<String,Map<String,Integer>> currentState)`
    `boolean` | `isFuzzy()`
    `static Map` | `parseRule(String s)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WILD_CARD

          public static final String WILD_CARD

      See Also:
        Constant Field Values

    - #### WILD_WILD_CARD

          public static final String WILD_WILD_CARD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Rule

          public Rule(Map m)

  - ### Method Detail

    - #### parseRule

          public static Map parseRule(String s)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compare

          public int compare(String n1,
                             String n2,
                             Map<String,Map<String,Object>> nodeVsTags,
                             Map<String,Map<String,Integer>> currentState)

    - #### isFuzzy

          public boolean isFuzzy()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.